Bug 64865 - docbook2* utilities cannot cope with the text theta in %isogrk1;
docbook2* utilities cannot cope with the text theta in %isogrk1;
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: jadetex (Show other bugs)
7.3
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://www-uxsup.csx.cam.ac.uk/~rjd4/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 14:18 EDT by Bob Dowling
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 06:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Dowling 2002-05-13 14:18:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Any attempt to process a docbook document containing &thgr; leads to
the underlined text "texttheta" appearing in the output.  However &THgr; (an
uppercase text theta) works fine.

Splitting the command into its consituent parts yields the error message "The
Unicode package knows about symbol texttheta, but the font package is not
loaded".  Given that &THgr; works I have reason to doubt the accuracy of this
diagnostic.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a docbook file involving &thgr; (or use my theta.xml from the URL above)
2.docbook2pdf theta.xml
3.acroread theta.pdf

	

Actual Results:  The page viewed contains the underlined text "thesttheta"
followed by an uppercase text theta.  

Expected Results:  The page should display a lowercase text theta followed by an
uppercase text theta.

Additional info:

$ docbook2tex theta.xml
Using catalogs: /etc/sgml/xml-docbook-4.1.2-1.0-8.cat
Using stylesheet: /usr/share/sgml/docbook/utils-0.6.9/docbook-utils-a4.dsl#print
Working on: /home/rjd4/public_html/bugs/db1/theta.xml
Done.

$ jadetex theta
This is TeX, Version 3.14159 (Web2C 7.3.1)
(theta.tex
JadeTeX 2002/01/25: 3.12
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd)
Elements will be labelled
Jade begin document sequence at 21
No file theta.aux.
(/usr/share/texmf/tex/latex/cyrillic/t2acmr.fd)
(/usr/share/texmf/tex/latex/base/ts1cmr.fd)
(/usr/share/texmf/tex/latex/hyperref/nameref.sty)
(/usr/share/texmf/tex/latex/amsfonts/umsa.fd)
(/usr/share/texmf/tex/latex/amsfonts/umsb.fd)
(/usr/share/texmf/tex/latex/wasysym/uwasy.fd)
(/usr/share/texmf/tex/latex/misc/ustmry.fd)
The Unicode package knows about symbol texttheta, but the font package is not loaded
[1.0.56] (theta.aux) )
Output written on theta.dvi (1 page, 484 bytes).
Transcript written on theta.log.
Comment 1 Tim Waugh 2002-05-27 12:29:17 EDT
The font package it's talking about is 'lucidabr', and it really isn't loaded.  
But loading it seem to cause other problem.  The easy work-around is to just 
use math mode when displaying that character.  I'll do that in the next 
jadetex build.
Comment 2 Tim Waugh 2002-06-21 06:12:18 EDT
Fixed in jadetex-3.12-4.

Note You need to log in before you can comment on or make changes to this bug.